# create a volume with designated size in unit of G
# parameter instanceid, size

# currently we hardcode device name as following

$deviceName="xvdg"
$zoneName="us-east-1d"

if ($args.length -eq 3)
{
	$instanceid=$args[0];
	$volumesize=$args[1];
	$snapshotid=$args[2];
	$result=-split (ec2-create-volume -s $volumesize -z $zoneName --snapshot $snapshotid);
	$volumeid=$result[1];
	
	echo "volumeid=$volumeid"
	
	do
	{
		$result=(ec2-describe-volumes $volumeid) -split "`t";
		$status=$result[5];
		write-host "." -nonewline;
		start-sleep 1;
	} 
	while ( $status -ieq "pending");

	write-host "`n";
	echo "volume state is $status";

	if ( $status -ieq "available")
	{
		# currently we just use this xvdf
		
		$result=-split (ec2-attach-volume $volumeid -i $instanceid -d $deviceName)
		
		do
		{			
			$result=-split (ec2-describe-volumes $volumeid);
			$status=$result[4];
			write-host "." -nonewline;
			start-sleep 1;
			
		} while ( $status -ieq "attaching");

		write-host "`n";

		echo "volume $volumeid is $status"
	}
	echo "volume state is $status";
}